﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ConditionalColoring
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<DataPoint> Points { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            Points = new ObservableCollection<DataPoint>();
            Points.Add(new DataPoint { Minimum = 10, Maximum = 20, Result = 15, Date = new DateTime(2014, 11, 2) });
            Points.Add(new DataPoint { Minimum = 5, Maximum = 10, Result = 2, Date = new DateTime(2014, 12, 5) });
            Points.Add(new DataPoint { Minimum = 5, Maximum = 10, Result = 11, Date = new DateTime(2014, 1, 26) });

            this.DataContext = this;
        }
    }

    public class DataPoint
    {
        public double Minimum { get; set; }
        public double Maximum { get; set; }
        public double Result { get; set; }

        public DateTime Date { get; set; }
    }
}
